Bug 1254181 - Error invoking sushi via gdbus
Error invoking sushi via gdbus
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sushi (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Florian Müllner
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2015-08-17 07:32 EDT by Vadim Rutkovsky
Modified: 2015-11-19 03:35 EST (History)
4 users (show)

See Also:
Fixed In Version: sushi-3.12.0-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-19 03:35:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vadim Rutkovsky 2015-08-17 07:32:13 EDT
Description of problem:
Sushi cannot be invoked via gdbus call

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open Nautilus and make sure its focused
2. export XID=`xprop -root 32x '\t$0' _NET_ACTIVE_WINDOW | cut -f 2`
3. gdbus call --session --dest org.gnome.NautilusPreviewer --object-path /org/gnome/NautilusPreviewer --method org.gnome.NautilusPreviewer.ShowFile "http://upload.wikimedia.org/wikipedia/commons/a/af/Tux.png" "$XID" "false"

Actual results:
Error: GDBus.Error:org.gnome.gjs.JSError.TypeError: this._mainWindow is undefined
(According to introspection data, you need to pass 'sib')

Expected results:
Sushi window opens the requested URL

Additional info:
Comment 1 Matthias Clasen 2015-08-17 15:41:40 EDT
This seems to affect sushi functionality in general

Here are two additional upstream fixes that make things work for me again:


Comment 3 Martin Simon 2015-09-01 06:36:26 EDT
Verified with nautilus-3.14.3-3.el7.x86_64 and sushi-3.12.0-3.el7.x86_64. The actual result is a tux correctly displayed in sushi window without any error on terminal output.
Comment 4 errata-xmlrpc 2015-11-19 03:35:55 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.